## obs-studio 30.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.25)

legacy_check()

set(obs-websocket_VERSION 5.3.3)
set(OBS_WEBSOCKET_RPC_VERSION 1)

option(ENABLE_WEBSOCKET "Enable building OBS with websocket plugin" ON)
if(NOT ENABLE_WEBSOCKET)
  target_disable(obs-websocket)
  return()
endif()

# Find Qt
find_qt(COMPONENTS Core Widgets Svg Network)

# Find nlohmann JSON
find_package(nlohmann_json 3 REQUIRED)

# Find qrcodegencpp
set(CMAKE_FIND_PACKAGE_PREFER_CONFIG ON)
find_package(qrcodegencpp REQUIRED)
set(CMAKE_FIND_PACKAGE_PREFER_CONFIG OFF)

# Find WebSocket++
find_package(Websocketpp 0.8 REQUIRED)

# Find Asio
find_package(Asio 1.12.1 REQUIRED)

add_library(obs-websocket MODULE)
add_library(OBS::websocket ALIAS obs-websocket)

target_sources(obs-websocket PRIVATE)

target_sources(
  obs-websocket
  PRIVATE src/obs-websocket.cpp
          src/obs-websocket.h
          src/Config.cpp
          src/Config.h
          lib/obs-websocket-api.h
          src/forms/ConnectInfo.cpp
          src/forms/ConnectInfo.h
          src/forms/resources.qrc
          src/forms/SettingsDialog.cpp
          src/forms/SettingsDialog.h
          src/WebSocketApi.cpp
          src/WebSocketApi.h)

target_sources(
  obs-websocket
  PRIVATE src/websocketserver/WebSocketServer.cpp
          src/websocketserver/WebSocketServer_Protocol.cpp
          src/websocketserver/WebSocketServer.h
          src/websocketserver/rpc/WebSocketSession.h
          src/websocketserver/types/WebSocketCloseCode.h
          src/websocketserver/types/WebSocketOpCode.h)

target_sources(
  obs-websocket
  PRIVATE src/eventhandler/EventHandler.cpp
          src/eventhandler/EventHandler.h
          src/eventhandler/EventHandler_Config.cpp
          src/eventhandler/EventHandler_General.cpp
          src/eventhandler/EventHandler_Filters.cpp
          src/eventhandler/EventHandler_Inputs.cpp
          src/eventhandler/EventHandler_MediaInputs.cpp
          src/eventhandler/EventHandler_Outputs.cpp
          src/eventhandler/EventHandler_Scenes.cpp
          src/eventhandler/EventHandler_SceneItems.cpp
          src/eventhandler/EventHandler_Transitions.cpp
          src/eventhandler/EventHandler_Ui.cpp
          src/eventhandler/types/EventSubscription.h)

target_sources(
  obs-websocket
  PRIVATE src/requesthandler/RequestBatchHandler.cpp
          src/requesthandler/RequestBatchHandler.h
          src/requesthandler/RequestHandler.cpp
          src/requesthandler/RequestHandler.h
          src/requesthandler/RequestHandler_Config.cpp
          src/requesthandler/RequestHandler_Filters.cpp
          src/requesthandler/RequestHandler_General.cpp
          src/requesthandler/RequestHandler_Inputs.cpp
          src/requesthandler/RequestHandler_MediaInputs.cpp
          src/requesthandler/RequestHandler_Outputs.cpp
          src/requesthandler/RequestHandler_Sources.cpp
          src/requesthandler/RequestHandler_Record.cpp
          src/requesthandler/RequestHandler_Scenes.cpp
          src/requesthandler/RequestHandler_SceneItems.cpp
          src/requesthandler/RequestHandler_Stream.cpp
          src/requesthandler/RequestHandler_Transitions.cpp
          src/requesthandler/RequestHandler_Ui.cpp
          src/requesthandler/rpc/Request.cpp
          src/requesthandler/rpc/Request.h
          src/requesthandler/rpc/RequestBatchRequest.cpp
          src/requesthandler/rpc/RequestBatchRequest.h
          src/requesthandler/rpc/RequestResult.cpp
          src/requesthandler/rpc/RequestResult.h
          src/requesthandler/types/RequestStatus.h
          src/requesthandler/types/RequestBatchExecutionType.h)

target_sources(
  obs-websocket
  PRIVATE src/utils/Compat.cpp
          src/utils/Compat.h
          src/utils/Crypto.cpp
          src/utils/Crypto.h
          src/utils/Json.cpp
          src/utils/Json.h
          src/utils/Obs.cpp
          src/utils/Obs.h
          src/utils/Obs_ActionHelper.cpp
          src/utils/Obs_ArrayHelper.cpp
          src/utils/Obs_NumberHelper.cpp
          src/utils/Obs_ObjectHelper.cpp
          src/utils/Obs_StringHelper.cpp
          src/utils/Obs_SearchHelper.cpp
          src/utils/Obs_VolumeMeter.cpp
          src/utils/Obs_VolumeMeter.h
          src/utils/Obs_VolumeMeter_Helpers.h
          src/utils/Platform.cpp
          src/utils/Platform.h
          src/utils/Utils.h)

configure_file(src/plugin-macros.h.in plugin-macros.generated.h)
target_sources(obs-websocket PRIVATE plugin-macros.generated.h)

target_compile_definitions(
  obs-websocket PRIVATE ASIO_STANDALONE $<$<BOOL:${PLUGIN_TESTS}>:PLUGIN_TESTS>
                        $<$<PLATFORM_ID:Windows>:_WEBSOCKETPP_CPP11_STL_> $<$<PLATFORM_ID:Windows>:_WIN32_WINNT=0x0603>)

target_compile_options(
  obs-websocket
  PRIVATE
    $<$<PLATFORM_ID:Windows>:/wd4267>
    $<$<PLATFORM_ID:Windows>:/wd4996>
    $<$<PLATFORM_ID:Darwin,Linux,FreeBSD>:-Wall>
    $<$<COMPILE_LANG_AND_ID:CXX,GNU,AppleClang,Clang>:-Wno-error=float-conversion;-Wno-error=shadow>
    $<$<COMPILE_LANG_AND_ID:CXX,GNU>:-Wno-error=format-overflow;-Wno-error=int-conversion;-Wno-error=comment>
    $<$<COMPILE_LANG_AND_ID:CXX,AppleClang,Clang>:-Wno-error=null-pointer-subtraction;-Wno-error=deprecated-declarations;-Wno-error=implicit-int-conversion;-Wno-error=shorten-64-to-32;-Wno-comma;-Wno-quoted-include-in-framework-header>
)

target_link_libraries(
  obs-websocket
  PRIVATE OBS::libobs
          OBS::frontend-api
          Qt::Core
          Qt::Widgets
          Qt::Svg
          Qt::Network
          nlohmann_json::nlohmann_json
          Websocketpp::Websocketpp
          Asio::Asio
          qrcodegencpp::qrcodegencpp)

set_target_properties_obs(
  obs-websocket
  PROPERTIES FOLDER plugins
             PREFIX ""
             AUTOMOC ON
             AUTOUIC ON
             AUTORCC ON)

if(OS_WINDOWS)
  set_property(
    TARGET obs-websocket
    APPEND
    PROPERTY AUTORCC_OPTIONS --format-version 1)

  target_link_options(obs-websocket PRIVATE /IGNORE:4099)
endif()

=== deps/blake2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22...3.25)

add_library(blake2 STATIC EXCLUDE_FROM_ALL )
add_library(OBS::blake2 ALIAS blake2)

target_sources(blake2 PRIVATE src/blake2b-ref.c src/blake2.h src/blake2-impl.h)

target_include_directories(blake2 PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/src")
set_source_files_properties(
  src/blake2b-ref.c PROPERTIES COMPILE_OPTIONS
                               "$<$<C_COMPILER_ID:AppleClang,Clang>:-Wno-error=implicit-int-conversion>")

if(OS_WINDOWS)
  target_compile_options(blake2 PRIVATE $<IF:$<CONFIG:Debug>,/MTd,/MT> /Zl)
  target_compile_definitions(blake2 PRIVATE inline=_inline restrict=__restrict)
endif()

set_target_properties(blake2 PROPERTIES FOLDER deps)

=== plugins/mac-avcapture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

add_library(mac-avcapture MODULE)
add_library(OBS::avcapture ALIAS mac-avcapture)

target_sources(mac-avcapture PRIVATE av-capture.mm left-right.hpp scope-guard.hpp)

if(NOT XCODE)
  set_source_files_properties(av-capture.mm PROPERTIES COMPILE_FLAGS -fobjc-arc)
endif()

target_link_libraries(
  mac-avcapture
  PRIVATE OBS::libobs
          "$<LINK_LIBRARY:FRAMEWORK,AVFoundation.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,Cocoa.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreFoundation.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreMedia.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreVideo.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreMediaIO.framework>")

set_target_properties_obs(
  mac-avcapture
  PROPERTIES FOLDER plugins
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_ENABLE_OBJC_ARC YES
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES)

=== plugins/mac-capture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

add_library(mac-capture MODULE)
add_library(OBS::capture ALIAS mac-capture)

target_sources(
  mac-capture
  PRIVATE # cmake-format: sortable
          audio-device-enum.c
          audio-device-enum.h
          CGDisplayStream.h
          mac-audio.c
          mac-display-capture.m
          mac-sck-audio-capture.m
          mac-sck-common.h
          mac-sck-common.m
          mac-sck-video-capture.m
          mac-window-capture.m
          plugin-main.c
          window-utils.h
          window-utils.m)

# cmake-format: off
target_link_libraries(
  mac-capture
  PRIVATE OBS::libobs
          "$<LINK_LIBRARY:FRAMEWORK,AudioUnit.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,Cocoa.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreAudio.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreFoundation.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreMedia.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreVideo.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,IOSurface.framework>"
          "$<LINK_LIBRARY:WEAK_FRAMEWORK,ScreenCaptureKit.framework>")

set_target_properties_obs(
  mac-capture
  PROPERTIES FOLDER plugins
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES)
# cmake-format: on

if(CMAKE_VERSION VERSION_LESS_EQUAL 3.25.0)
  set_property(TARGET mac-capture PROPERTY XCODE_LINK_BUILD_PHASE_MODE BUILT_ONLY)
endif()

=== plugins/mac-syphon/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

option(ENABLE_SYPHON "Enable Syphon sharing support" ON)
if(NOT ENABLE_SYPHON)
  target_disable(mac-syphon)
  target_disable_feature(mac-syphon "Syphon sharing support")
  return()
else()
  target_enable_feature(mac-syphon "Syphon sharing support")
endif()

find_library(SYPHON Syphon)
mark_as_advanced(SYPHON)

add_library(mac-syphon MODULE)
add_library(OBS::syphon ALIAS mac-syphon)

target_sources(mac-syphon PRIVATE syphon.m plugin-main.c SyphonOBSClient.h SyphonOBSClient.m)

target_compile_options(mac-syphon PRIVATE -fobjc-arc)

# cmake-format: off
target_link_libraries(
  mac-syphon
  PRIVATE OBS::libobs
          "$<LINK_LIBRARY:FRAMEWORK,AppKit.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,IOSurface.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,ScriptingBridge.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,${SYPHON}>")

set_target_properties_obs(
  mac-syphon
  PROPERTIES FOLDER "plugins"
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES)
# cmake-format: on

=== plugins/mac-videotoolbox/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

add_library(mac-videotoolbox MODULE)
add_library(OBS::mac-videotoolbox ALIAS mac-videotoolbox)

target_sources(mac-videotoolbox PRIVATE encoder.c)

# cmake-format: off
target_link_libraries(
  mac-videotoolbox
  PRIVATE OBS::libobs
          "$<LINK_LIBRARY:FRAMEWORK,AVFoundation.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,Cocoa.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreFoundation.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreMedia.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,CoreVideo.framework>"
          "$<LINK_LIBRARY:FRAMEWORK,VideoToolbox.framework>")

set_target_properties_obs(
  mac-videotoolbox
  PROPERTIES FOLDER plugins
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES)
# cmake-format: on

=== plugins/mac-virtualcam/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

option(ENABLE_VIRTUALCAM "Build OBS Virtualcam" ON)

if(NOT ENABLE_VIRTUALCAM)
  target_disable_feature(mac-virtualcam "macOS Virtual Camera support")
  return()
endif()

target_enable_feature(mac-virtualcam "macOS Virtual Camera support")

add_library(obs-mach-protocol INTERFACE)
add_library(OBS::mach-protocol ALIAS obs-mach-protocol)

target_sources(obs-mach-protocol INTERFACE src/common/MachProtocol.h src/common/data/placeholder.png)
target_include_directories(obs-mach-protocol INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/src/common")

add_subdirectory(src/obs-plugin)
add_subdirectory(src/dal-plugin)
add_subdirectory(src/camera-extension)

=== plugins/obs-qsv11/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22...3.25)

legacy_check()

option(ENABLE_QSV11 "Build Intel QSV11 Hardware Encoder." TRUE)
if(NOT ENABLE_QSV11)
  target_disable_feature(obs-qsv11 "Intel QSV11 Hardware Encoder")
  target_disable(obs-qsv11)
  return()
endif()

add_library(obs-qsv11 MODULE)
add_library(OBS::qsv11 ALIAS obs-qsv11)

find_package(VPL 2.6 REQUIRED)

target_sources(
  obs-qsv11
  PRIVATE # cmake-format: sortable
          common_utils.cpp
          common_utils.h
          obs-qsv11-plugin-main.c
          obs-qsv11.c
          QSV_Encoder.cpp
          QSV_Encoder.h
          QSV_Encoder_Internal.cpp
          QSV_Encoder_Internal.h)

target_link_libraries(obs-qsv11 PRIVATE OBS::libobs VPL::VPL)

# cmake-format: off
set_target_properties_obs(obs-qsv11 PROPERTIES FOLDER plugins/obs-qsv11 PREFIX "")
# cmake-format: on

if(OS_WINDOWS)
  add_subdirectory(obs-qsv-test)

  configure_file(cmake/windows/obs-module.rc.in obs-qsv11.rc)
  target_sources(obs-qsv11 PRIVATE obs-qsv11.rc)

  target_compile_definitions(obs-qsv11 PRIVATE DX11_D3D)

  target_sources(obs-qsv11 PRIVATE # cmake-format: sortable
                                   common_directx11.cpp common_directx11.h common_utils_windows.cpp)

  target_link_libraries(obs-qsv11 PRIVATE d3d11 dxgi dxguid)
  target_link_options(obs-qsv11 PRIVATE /IGNORE:4099)
elseif(OS_LINUX)
  find_package(Libva REQUIRED)

  target_sources(obs-qsv11 PRIVATE common_utils_linux.cpp)

  target_link_libraries(obs-qsv11 PRIVATE Libva::va Libva::drm)
endif()

=== plugins/win-capture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
  add_library(hook-config INTERFACE)
  add_library(OBS::hook-config ALIAS hook-config)
  target_sources(hook-config INTERFACE graphics-hook-ver.h graphics-hook-info.h hook-helpers.h)
  target_include_directories(hook-config INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}")

  add_library(inject-library INTERFACE)
  add_library(OBS::inject-library ALIAS inject-library)
  target_sources(inject-library INTERFACE inject-library.c inject-library.h)
  target_include_directories(inject-library INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}")

  add_library(d3d8-api INTERFACE)
  add_library(OBS::d3d8-api ALIAS d3d8-api)
  target_sources(d3d8-api INTERFACE d3d8-api/d3d8.h d3d8-api/d3d8caps.h d3d8-api/d3d8types.h)
  target_include_directories(d3d8-api INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/d3d8-api")
endif()

legacy_check()

option(ENABLE_COMPAT_UPDATES "Checks for capture compatibility data updates" ON)

# cmake-format: off
set(COMPAT_URL "https://obsproject.com/obs2_update/win-capture" CACHE STRING "Default services package URL")
mark_as_advanced(COMPAT_URL)
# cmake-format: on

if(NOT TARGET OBS::ipc-util)
  add_subdirectory("${CMAKE_SOURCE_DIR}/deps/ipc-util" "${CMAKE_BINARY_DIR}/deps/ipc-util")
endif()

if(NOT TARGET OBS::file-updater)
  add_subdirectory("${CMAKE_SOURCE_DIR}/deps/file-updater" "${CMAKE_BINARY_DIR}/deps/file-updater")
endif()

find_package(jansson REQUIRED)

add_library(win-capture MODULE)
add_library(OBS::capture ALIAS win-capture)

target_sources(
  win-capture
  PRIVATE # cmake-format: sortable
          app-helpers.c
          app-helpers.h
          compat-format-ver.h
          compat-helpers.c
          compat-helpers.h
          cursor-capture.c
          cursor-capture.h
          dc-capture.c
          dc-capture.h
          duplicator-monitor-capture.c
          game-capture-file-init.c
          game-capture.c
          load-graphics-offsets.c
          monitor-capture.c
          nt-stuff.c
          nt-stuff.h
          plugin-main.c
          window-capture.c)

target_compile_definitions(
  win-capture PRIVATE COMPAT_URL="${COMPAT_URL}" "$<$<BOOL:${ENABLE_COMPAT_UPDATES}>:ENABLE_COMPAT_UPDATES>"
                      OBS_VERSION="${OBS_VERSION_CANONICAL}")

target_link_libraries(
  win-capture
  PRIVATE OBS::file-updater
          OBS::hook-config
          OBS::inject-library
          OBS::ipc-util
          OBS::libobs
          OBS::obfuscate
          OBS::w32-pthreads
          OBS::winrt-headers
          jansson::jansson)

target_link_options(win-capture PRIVATE /NODEFAULTLIB:msvcrtd.lib)

# cmake-format: off
set_target_properties_obs(win-capture PROPERTIES FOLDER plugins/win-capture PREFIX "")
# cmake-format: on

add_subdirectory(graphics-hook)
add_subdirectory(get-graphics-offsets)
add_subdirectory(inject-helper)

=== plugins/win-dshow/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
  add_library(obs-virtualcam-interface INTERFACE)
  add_library(OBS::virtualcam-interface ALIAS obs-virtualcam-interface)

  target_sources(obs-virtualcam-interface INTERFACE shared-memory-queue.c shared-memory-queue.h tiny-nv12-scale.c
                                                    tiny-nv12-scale.h)
  target_include_directories(obs-virtualcam-interface INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}")

  include(cmake/libdshowcapture.cmake)
  add_subdirectory(virtualcam-module)
endif()

legacy_check()

find_package(FFmpeg REQUIRED avcodec avutil)

add_library(win-dshow MODULE)
add_library(OBS::dshow ALIAS win-dshow)

target_sources(win-dshow PRIVATE dshow-plugin.cpp encode-dstr.hpp ffmpeg-decode.c ffmpeg-decode.h win-dshow-encoder.cpp
                                 win-dshow.cpp)

configure_file(cmake/windows/obs-module.rc.in win-dshow.rc)
target_sources(win-dshow PRIVATE win-dshow.rc)

target_link_libraries(
  win-dshow
  PRIVATE OBS::libobs
          OBS::w32-pthreads
          OBS::libdshowcapture
          FFmpeg::avcodec
          FFmpeg::avutil
          strmiids
          winmm)

if(TARGET OBS::virtualcam AND TARGET OBS::virtualcam-guid)
  target_sources(win-dshow PRIVATE virtualcam.c)
  target_link_libraries(win-dshow PRIVATE OBS::virtualcam-interface OBS::virtualcam-guid)
  target_compile_definitions(win-dshow PRIVATE VIRTUALCAM_AVAILABLE)

  add_dependencies(win-dshow obs-virtualcam-module)
endif()

# cmake-format: off
set_target_properties_obs(win-dshow PROPERTIES FOLDER plugins/win-dshow PREFIX "")
# cmake-format: on

=== plugins/win-wasapi/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

legacy_check()

add_library(win-wasapi MODULE)
add_library(OBS::wasapi ALIAS win-wasapi)

target_sources(win-wasapi PRIVATE enum-wasapi.cpp enum-wasapi.hpp plugin-main.cpp win-wasapi.cpp)

configure_file(cmake/windows/obs-module.rc.in win-wasapi.rc)
target_sources(win-wasapi PRIVATE win-wasapi.rc)

target_link_libraries(win-wasapi PRIVATE OBS::libobs Avrt)

# cmake-format: off
set_target_properties_obs(win-wasapi PROPERTIES FOLDER plugins PREFIX "")
# cmake-format: on

=== plugins/obs-qsv11/obs-qsv-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.25)

legacy_check()

add_executable(obs-qsv-test)

find_package(VPL 2.6 REQUIRED)

target_sources(obs-qsv-test PRIVATE obs-qsv-test.cpp)
target_compile_definitions(obs-qsv-test PRIVATE "$<$<BOOL:${ENABLE_HEVC}>:ENABLE_HEVC>")
target_link_libraries(obs-qsv-test d3d11 dxgi dxguid VPL::VPL OBS::COMutils)
target_link_options(obs-qsv-test PRIVATE /IGNORE:4099)

# cmake-format: off
set_target_properties_obs(obs-qsv-test PROPERTIES FOLDER plugins/obs-qsv11 PREFIX "")
# cmake-format: on

=== debian/changelog ===
obs-studio (30.0.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux:
  * Drop -dmo branding and the version epoch.
  * Disable AMF and ajantv2. 

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Dec 2023 11:53:59 -0800

obs-studio-dmo (1:30.0.0-dmo2) unstable; urgency=medium

  * Fix build for arches without AMF

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Nov 2023 09:31:15 +0100

obs-studio-dmo (1:30.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Nov 2023 00:51:54 +0100

obs-studio-dmo (1:29.1.3-dmo2) unstable; urgency=medium

  * Add patch from nowrep to make AMF encoder work on Linux.
    Note: requires AMD proprietary Vulkan driver.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 16:02:45 +0200

obs-studio-dmo (1:29.1.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update websocket module to git 6fd18a7
  * Build with Qt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2023 07:32:17 +0200

obs-studio-dmo (1:29.1.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 May 2023 01:31:51 +0200

obs-studio-dmo (1:29.1.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update websocket to commit 57a9c19

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 May 2023 08:32:27 +0200

obs-studio-dmo (1:29.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 May 2023 07:32:53 +0200

obs-studio-dmo (1:29.0.2-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 13:21:33 +0100

obs-studio-dmo (1:29.0.2-dmo1) unstable; urgency=medium

  * New upstream nugfix release.
  * Rename obs-amf tarball to obs-amd-encoder

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Feb 2023 13:14:08 +0100

obs-studio-dmo (1:29.0.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Update amf plugin to 3b09f2a

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Feb 2023 08:11:00 +0100

obs-studio-dmo (1:29.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jan 2023 01:25:21 +0100

obs-studio-dmo (1:28.1.2-dmo2) unstable; urgency=medium

  * Build with python 3.11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 08:33:51 +0100

obs-studio-dmo (1:28.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Nov 2022 00:01:20 +0100

obs-studio-dmo (1:28.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2022 07:51:00 +0100

obs-studio-dmo (1:28.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Nov 2022 09:05:52 +0100

obs-studio-dmo (1:28.0.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update obs-websocket to git commit b6e0888

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Oct 2022 08:21:29 +0200

obs-studio-dmo (1:28.0.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 23:20:22 +0200

obs-studio-dmo (1:28.0.1-dmo2) unstable; urgency=medium

  * Add Replaces/Breaks obs-websocket for obs-studio package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 11:19:35 +0200

obs-studio-dmo (1:28.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Sep 2022 08:47:42 +0200

obs-studio-dmo (1:28.0.0-dmo2) unstable; urgency=medium

  * Add enc-amf and obs-websocket plugins. aja plugins was built in the
    previous package.
      - aja : I/O device capture and output for AJA hardware.
      - enc-amf : AMD GPU encoder.
      - obs-websocket : computer communications protocol.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Sep 2022 15:01:04 +0200

obs-studio-dmo (1:28.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Sep 2022 07:28:16 +0200

obs-studio-dmo (1:27.2.4-dmo3) unstable; urgency=medium

  * Enable lua for powerpc
  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:20:03 +0200

obs-studio-dmo (1:27.2.4-dmo2) unstable; urgency=medium

  * Build with libluajit2-5.1-2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jun 2022 14:18:01 +0200

obs-studio-dmo (1:27.2.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Mar 2022 10:56:54 +0200

obs-studio-dmo (1:27.2.3-dmo2) unstable; urgency=medium

  * Build with python 3.10
  * Build with libftl0 instead of included ftl sdk.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 10:49:37 +0200

obs-studio-dmo (1:27.2.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Mar 2022 18:06:30 +0100

obs-studio-dmo (1:27.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Mar 2022 00:54:11 +0100

obs-studio-dmo (1:27.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Feb 2022 08:36:45 +0100

obs-studio-dmo (1:27.2.0-dmo2) unstable; urgency=medium

  * Build with mbedtls 2.28

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 08:18:25 +0100

obs-studio-dmo (1:27.2.0-dmo1) unstable; urgency=medium



=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://obsproject.com
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
#               libajantv2-dev [amd64],
               libasio-dev,
               libasound2-dev,
               libavdevice-dev,
               libavfilter-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libdatachannel-dev,
               libdbus-1-dev,
               libdrm-dev,
               libegl-dev,
               libfdk-aac-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libftl-dev,
               libice-dev,
               libjack-jackd2-dev,
               libjansson-dev (>= 2.5),
               libluajit2-5.1-dev,
               libmbedtls-dev,
               libopengl-dev,
               libpci-dev,
               libpipewire-0.3-dev,
               libpulse-dev,
               libqrcodegencpp-dev,
               librist-dev,
               libsimde-dev,
               libspeexdsp-dev,
               libsrt-openssl-dev,
               libudev-dev [linux-any],
               libv4l-dev,
               libva-dev,
               libvlc-dev,
               libvlccore-dev,
               libvpl-dev [amd64],
               libwayland-dev,
               libwebsocketpp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libx264-dev,
               libxcb-composite0-dev,
               libxcb-dri2-0-dev,
               libxcb-glx0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xv0-dev,
               libxcomposite-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               ninja-build,
               nlohmann-json3-dev,
               nv-codec-headers [amd64 arm64 i386] | libffmpeg-nvenc-dev,
               pkgconf,
               python3-dev,
               python3-docutils (>= 0.6),
               qt6-base-dev,
               qt6-base-private-dev, 
               qt6-svg-dev,
               swig

# liblua5.2-dev,

Package: obs-studio
Architecture: any
Depends: libqt6svg6,
         obs-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libnvidia-encode1, pkexec
Replaces: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket
Breaks: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Replaces: obs-studio
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libobs0 (= ${binary:Version}), libsimde-dev, ${misc:Depends}
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')

# ifeq "$(DEB_BUILD_ARCH)" "arm64"
#	confflags += -DENABLE_AJA=FALSE
# endif
ifeq (,$(filter-out amd64,$(DEB_HOST_ARCH_CPU)))
	confflags += -DENABLE_QSV11=ON
else
	confflags += -DENABLE_QSV11=OFF
endif
%:
	dh $@ -Scmake+ninja # --with quilt

override_dh_auto_configure:
# git clone https://github.com/obsproject/obs-amd-encoder.git
# cd obs-amd-encoder
# git checkout 8823c23
#	ln -s ../obs-amd-encoder-2023-03-27-8823c23 plugins/enc-amf
# git clone https://github.com/obsproject/obs-websocket.git
# cd obs-websocket
# git checkout 4ff109b
# git submodule update --init --recursive
# rm -rf .git .github
	ln -s ../obs-websocket-2023-10-16-4ff109b plugins/obs-websocket

	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCPACK_RESOURCE_FILE_LICENSE=/usr/share/common-licenses/GPL-2 \
	-DAPPDATA_RELEASE_DATE=$(shell date --utc --date=@$${SOURCE_DATE_EPOCH} +'%Y-%m-%d') \
	-DDISABLE_UPDATE_MODULE=ON \
	-DENABLE_AJA=FALSE \
	-DENABLE_BROWSER=OFF \
	-DENABLE_JACK=ON \
	-DENABLE_LIBFDK=ON \
	-DENABLE_SNDIO=OFF \
	-DENABLE_VLC=ON \
	-DISABLE_UPDATE_MODULE=ON \
	-DOBS_LIBRARY_DESTINATION=lib/$(DEB_HOST_MULTIARCH) \
	-DOBS_MULTIARCH_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DOBS_VERSION_OVERRIDE=$(UPSTREAM_VERSION) \
	-DQT_VERSION=6 \
	-DUNIX_STRUCTURE=TRUE \
	-Wno-dev \
	$(confflags)

#	exit 1

override_dh_auto_build:
	dh_auto_build

	rst2man debian/obs.rst > debian/obs.1

override_dh_install:
	rm debian/tmp/usr/share/obs/obs-plugins/decklink-captions/.keepme

	dh_install

	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license

execute_after_dh_auto_install:
	chmod 644 debian/tmp/usr/share/obs/obs-studio/OBSPublicRSAKey.pem

override_dh_python3:
	dh_python3 -pobs-plugins usr/share/obs/obs-plugins/frontend-tools/scripts
	dh_python3 -pobs-plugins usr/lib/$(DEB_HOST_MULTIARCH)/obs-scripting

override_dh_clean:
	dh_clean debian/obs.1 cmake/.CMakeBuildNumber \
	obs-websocket-*/src/plugin-macros.generated.h

	-rm -rf plugins/obs-websocket

override_dh_auto_test:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
